body {
    padding: 0px;
    margin: 0px;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    -webkit-font-smoothing: subpixel-antialiased;
}

/* MAIN OBJECTS */
header {
	background-color: red;
	color: white;
}

footer {
	font-size: 12px;
	margin: 10px 0px;
	text-align: center;
}

#footer-spacer {
	height: 12px;
}

#footer-middle {
	border: 4px solid black;
}

#footer-middle div {
	border-top: 6px solid red;
	border-bottom: 6px solid red;
	height: 30px;
	line-height: 30px;
}

#footer-left, #footer-right {
	height: 62px;
	width: 60px;
	background-size: 42px 62px;
    background-repeat: no-repeat;
	background-color: white;
}

#footer-left {
	float: left;
    background-image: url(images/scarf-left.png);
    background-position: right;
}

#footer-right {
	float: right;
    background-image: url(images/scarf-right.png);
    background-position: left;
}

h1 {
	font-size: 30px;
	line-height: 60px;
	text-align: center;
	margin: 0px;
}

#logo {
    width: 60px;
    height: 60px;
    background-image: url(images/randomiser-logo.png);
    background-size: 60px 60px;
    background-repeat: no-repeat;
    background-position: center;
    float: left;
}

.ie #logo {
    background-image: none;
    filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/randomiser-logo.png',sizingMethod='scale');
    -ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/randomiser-logo.png',sizingMethod='scale')";
}

#app-switcher {
    width: 38px;
    height: 38px;
    background-image: url(images/random-timer-logo.png);
    background-size: 35px 35px;
    background-repeat: no-repeat;
    background-position: center;
    border: 1px solid white;
    margin: 10px;
    float: right;
}

#submenu {
	background-color: #EFEFF4;
	height: 54px;
}

.container {
    width: 100%;
    max-width: 567px;
    margin: auto;
}
.floating {
    position: fixed;
    position: sticky;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
}
.floating .titleRow {
    border-top: none;
    border-bottom: 1px solid #C8C7CC;
}
#titleHeight {
    height: 45px;
}

/* TITLE ROWS */
#titleRow {
    height: 44px;
    line-height: 44px;
    font-size: 14px;
    background-color: #EFEFF4;
}
#titleName {
    padding-left: 50px;
    overflow: hidden;
    text-align: left;
}
#titleLeagueR {
    float: right;
    width: 15%;
    margin: 0 6px 0 1px;
    text-align: center;
    display: none;
}
#titleLeaguePTS {
    float: right;
    width: 20%;
    margin: 0 6px 0 1px;
    text-align: center;
    display: none;
}
.titleGames {
    float: right;
    width: 44px;
    text-align: center;
    display: none;
}

.float {
    position: fixed;
}


/* PERMANENT PLAYER ROWS */
.row {
    width: 100%;
    border-top: 1px solid #A7A7AA;
    cursor: pointer;
    height: 44px;
}
.row.selected {
    background-color: #A7A7AA;
    border-top: 1px solid white;
}
.row.editing {
    cursor: auto;
}
.weighting {
    float: left;
    width: 44px;
    height: 44px;
    line-height: 44px;
    text-align: center;
    font-size: 10px;
    font-weight: bold;
    color: white;
    background-size: 44px 44px;
    background-repeat: no-repeat;
    display: none;
}
.selected .weighting {
    background-image: url(images/shirt-black.png);
}
.name {
    width: 80px;
    height: 32px;
    line-height: 32px;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    text-align: left;
    padding: 0px 0px 0px 5px;
    margin: 6px 0 0 1px;
    border: 0px;
    background-color: transparent;
    cursor: pointer;
}

/* LEAGUE PLAYER ROWS */
.rating {
    float: right;
    width: 15%;
    height: 32px;
    line-height: 32px;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    text-align: center;
    padding: 0px;
    margin: 6px 6px 0 1px;
    border: 0px;
    background-color: transparent;
    cursor: pointer;
    display: none;
}
.average {
    float: right;
    width: 20%;
    height: 32px;
    line-height: 32px;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    text-align: center;
    padding: 0px;
    margin: 6px 6px 0 1px;
    border: 0px;
    background-color: transparent;
    cursor: pointer;
    display: none;
}


/* GAME PLAYER ROWS */
.g1, .g2, .g3, .g4 {
    float: right;
    height: 44px;
    width: 44px;
    line-height: 44px;
    text-align: center;
    font-size: 10px;
    font-weight: bold;
    background-size: 44px 44px;
    background-repeat: no-repeat;
    padding: 0px;
    cursor: pointer;
    display: none;
}
.g1.white, .g2.white, .g3.white, .g4.white {
    background-image: url(images/shirt-white.png);    
}
.g1.red, .g2.red, .g3.red, .g4.red {
    background-image: url(images/shirt-red.png);    
}
.g1.locked, .g2.locked, .g3.locked, .g4.locked {
    background-color: black;    
}


/* FOOTER ROWS */
.footerRow {
    height: 44px;
    line-height: 44px;
    font-size: 14px;
    background-color: #EFEFF4;
    border-top: 1px solid #A7A7AA;
}
.footerTitle {
    width: 100px;
    padding-left: 50px;
    text-align: left;
    display: none;
}


/* BUTTONS */
#edit {
    height: 44px;
    background-color: white;
    color: red;
    border: 1px solid red;
    padding: 0 12px 0 12px;
    font-size: 18px;
    cursor: pointer;
    float: right;
    margin: 10px 10px 0px 0px;
}
.editable {
    height: 30px;
    line-height: 30px;
    border: 1px solid #C8C7CC;
    margin: 6px 5px 0 0;
    cursor: auto;
}
#addPlayer {
    height: 44px;
    background-color: white;
    color: red;
    text-align: left;
    border: 1px solid red;
    padding: 0px 12px 0px 12px;
    margin: 10px 0px 0px 10px;
    font-size: 18px;
    cursor: pointer;
}
.delete {
    float: left;
    width: 44px;
    height: 44px;
    line-height: 44px;
    text-align: center;
    font-size: 10px;
    font-weight: bold;
    background-image: url(images/trash.png);
    background-color: transparent;
    background-size: 44px 44px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    padding: 0px;
    cursor: pointer;
    display: none;
}
.delete:disabled {
    background-image: url(images/locked.png);
    background-color: #007AFF;
    cursor: default;
}
.lock {
    float: right;
    height: 44px;
    width: 44px;
    background-color: transparent;
    border: none;
    padding: 0px;
    cursor: pointer;
    font-size: 25px;
    color: #6D6D72;
}
.lock.locked {
    background-color: black;
}
.lock:disabled {
    display: none;
}
.refresh {
    float: right;
    height: 44px;
    width: 44px;
    background-color: transparent;
    border: none;
    padding: 0px;
    cursor: pointer;
    font-size: 25px;
    color: #6D6D72;
}
.refresh.locked {
    background-color: black;
}
.refresh:disabled {
    display: none;
}

/* ACTIVATOR */
.active {
    display: block !important;
}